
Redmine - Defect #33173

ERROR Errno::ECONNRESET: Connection reset by peer @ io_fillbuf - fd:16

2020-03-18 18:22 - john karippery

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 3.4.4

Description

I need a help from you. my task is dockerized my current redmine.

almost 2 week I am working on this task.

I copied public folder from host redmine to docker container redmine/public

I copied all plugins and installed successfully

but problem is image,my theme background image, wiki image is not disply.

I think my docker redmine is not find path to image.

any one know how to display image?

I will explain what step i do so far.

docker network create --driver bridge redmine_network

    docker volume create postgres-data

    docker volume create redmine-data

 
docker container run -d                         \ 

          --name postgres                           \ 

          --network redmine_network                 \ 

          -v postgres-data:/var/lib/postgresql/data \ 

          --restart always                          \ 

          -e POSTGRES_PASSWORD='password'             \ 

          -e POSTGRES_DB='redmine'                  \ 

          postgres:latest

 
docker container run -d                         \ 

        --name redmine                              \ 

        --network redmine_network                   \ 

        -p 80:3000                                  \ 

        --restart always                            \ 

        -v redmine-data:/usr/src/redmine/files      \ 

        -e REDMINE_DB_POSTGRES='postgres'           \ 

        -e REDMINE_DB_DATABASE='redmine'            \ 

        -e REDMINE_DB_PASSWORD='password'           \ 

        redmine:latest

 inside the container i install some package and gem for my plugins 

docker exec -it redmine bash

 
apt update 

    apt install build-essential libpq-dev pkg-config libmagickwand-dev ruby ruby-dev

    bundle install --no-deployment

    gem install will_paginate 

    gem install jenkins_api_client

    gem install activesupport -v 4.2.8

    gem install  haml-rails -v 1.0

    gem install deface -v 1.0.2

    gem install brakeman -v 4.8.0

    bundle updates
 docker redmine log file 

Resolving dependencies...

    The Gemfile's dependencies are satisfied

    [2020-03-17 16:31:41] INFO  WEBrick 1.3.1

    [2020-03-17 16:31:41] INFO  ruby 2.4.4 (2018-03-28) [x86_64-linux]

    [2020-03-17 16:31:41] INFO  WEBrick::HTTPServer#start: pid=1 port=3000

    [2020-03-17 16:32:03] ERROR Errno::ECONNRESET: Connection reset by peer  io_fillbuf - fd:16 

        /usr/local/lib/ruby/2.4.0/webrick/httpserver.rb:82:in `eof?'

        /usr/local/lib/ruby/2.4.0/webrick/httpserver.rb:82:in `run'

        /usr/local/lib/ruby/2.4.0/webrick/server.rb:308:in `block in start_thread'

    [2020-03-17 16:32:03] ERROR Errno::ECONNRESET: Connection reset by peer  io_fillbuf - fd:14 

        /usr/local/lib/ruby/2.4.0/webrick/httpserver.rb:82:in `eof?'

        /usr/local/lib/ruby/2.4.0/webrick/httpserver.rb:82:in `run'

        /usr/local/lib/ruby/2.4.0/webrick/server.rb:308:in `block in start_thread'

    [2020-03-17 16:32:08] ERROR Errno::ECONNRESET: Connection reset by peer  io_fillbuf - fd:19 

        /usr/local/lib/ruby/2.4.0/webrick/httpserver.rb:82:in `eof?'

        /usr/local/lib/ruby/2.4.0/webrick/httpserver.rb:82:in `run'

        /usr/local/lib/ruby/2.4.0/webrick/server.rb:308:in `block in start_thread'

    [2020-03-17 16:32:08] ERROR Errno::ECONNRESET: Connection reset by peer  io_fillbuf - fd:13 

        /usr/local/lib/ruby/2.4.0/webrick/httpserver.rb:82:in `eof?'

        /usr/local/lib/ruby/2.4.0/webrick/httpserver.rb:82:in `run'

        /usr/local/lib/ruby/2.4.0/webrick/server.rb:308:in `block in start_thread'

    [2020-03-17 16:32:08] ERROR Errno::ECONNRESET: Connection reset by peer  io_fillbuf - fd:18 

        /usr/local/lib/ruby/2.4.0/webrick/httpserver.rb:82:in `eof?'

        /usr/local/lib/ruby/2.4.0/webrick/httpserver.rb:82:in `run'

        /usr/local/lib/ruby/2.4.0/webrick/server.rb:308:in `block in start_thread'

    [2020-03-17 16:32:09] ERROR Errno::ECONNRESET: Connection reset by peer  io_fillbuf - fd:16 

        /usr/local/lib/ruby/2.4.0/webrick/httpserver.rb:82:in `eof?'

        /usr/local/lib/ruby/2.4.0/webrick/httpserver.rb:82:in `run'

        /usr/local/lib/ruby/2.4.0/webrick/server.rb:308:in `block in start_thread'

    [2020-03-17 16:32:09] ERROR Errno::ECONNRESET: Connection reset by peer @ io_fillbuf - fd:14 

        /usr/local/lib/ruby/2.4.0/webrick/httpserver.rb:82:in `eof?'

        /usr/local/lib/ruby/2.4.0/webrick/httpserver.rb:82:in `run'

        /usr/local/lib/ruby/2.4.0/webrick/server.rb:308:in `block in start_thread'

 anyone could explain how to clear this error.. please

History

#1 - 2020-03-19 02:20 - Mizuki ISHIKAWA

This is a question about the steps to build the environment, not a problem of Redmine itself.

If you want to solve this problem, it is appropriate to consult in the forums or the redmine image repository.

When I ran that command in my environment, the image was displayed correctly.

#2 - 2020-03-19 10:23 - Marius BĂLTEANU

- Status changed from New to Closed

- Resolution set to Invalid
